aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@nbd.name>2019-02-09 14:34:12 +0100
committerFelix Fietkau <nbd@nbd.name>2019-02-09 14:34:24 +0100
commit61e01f248eb22ea9a4cffa862218f47970f3ab2c (patch)
tree85c64c6f94e4fdf833df79e36a981d34bbd5da6a /package/base-files
parent7ebbbda29377f2d95e2bb9690f348af50ade848a (diff)
downloadupstream-61e01f248eb22ea9a4cffa862218f47970f3ab2c.tar.gz
upstream-61e01f248eb22ea9a4cffa862218f47970f3ab2c.tar.bz2
upstream-61e01f248eb22ea9a4cffa862218f47970f3ab2c.zip
base-files: do not strip fwtool signature data during check
Same reason as in commit 9808bd279927bcd2d3a78d19a55229b93bbbcf05 - sysupgrade --test must not alter the image in any way Signed-off-by: Felix Fietkau <nbd@nbd.name>
Diffstat (limited to 'package/base-files')
-rw-r--r--package/base-files/files/lib/upgrade/fwtool.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/base-files/files/lib/upgrade/fwtool.sh b/package/base-files/files/lib/upgrade/fwtool.sh
index 3f28fccd90..6d7300bad6 100644
--- a/package/base-files/files/lib/upgrade/fwtool.sh
+++ b/package/base-files/files/lib/upgrade/fwtool.sh
@@ -9,7 +9,7 @@ fwtool_check_signature() {
fi
}
- if ! fwtool -q -t -s /tmp/sysupgrade.ucert "$1"; then
+ if ! fwtool -q -s /tmp/sysupgrade.ucert "$1"; then
echo "Image signature not found"
[ "$REQUIRE_IMAGE_SIGNATURE" = 1 -a "$FORCE" != 1 ] && {
echo "Use sysupgrade -F to override this check when downgrading or flashing to vendor firmware"